Subject: Re: fvwm-themes 0.3.17 is out

From: Mikhael Goikhman <[email-masked]>
Date: Tue, 29 Aug 2000 12:36:44 +0300

On 29 Aug 2000 06:55:20 +0200, Olivier Chapuis wrote:
> 
> Mikhael Goikhman wrote:
> > 
> > I would like if somebody test this release and report results.
> 
> With perl 5.004_05 I've got the following error when I make install:
> 
> /usr/local/bin/fvwm-themes-config --site --reset
> /^(.*/|)+([^/]+)\.tar\.(gz|bz2)$/: regexp *+ operand could be empty at /usr/local/bin/fvwm-themes-config line 1508.
> 
> This error does not occure with perl 5.6.0 (fortunately I've these
> two versions of perl on my machine).

Uff, you should remove the first +, I guess.
Is this a warning or error? I am not near my computer, I get a fatal error
(different from what you specified) with perl 5.005.

> > There is one problem, which I had no time to investigate: NoteMessage (on
> > theme switching) is freezed until a mouse is moved or a button is pressed.
> > I can't say now whether it is an old or a new problem, but it should be
> > fixed (in fvwm I suppose) as soon as possible.
> 
> As you say in the ChangeLog this happen with modules@migo (even with
> all the option to None). This freeze is caused by FuncFvwmStopThemeModules
> from themes/migo/modules/main (i.e., I've got the freeze when I execute
> this function from the Console). I do not think I saw this freeze before
> 0.3.17. I've no time to do more investigation now.

I got this freeze with other than modules@migo components too IIRC.

> About swallowing two pagers: we must use different name for *all* the
> pager we use.

Yes, I think you are right. But there will be even more duplication...
Maybe to have one FvwmPager file with all pager configs or several files
are better? I have an idea (not new) how to fix a duplication for a future
fvwm versions. FvwmPager-Desker simply should read FvwmPager config first.

Regards,
Mikhael.
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Mikhael Goikhman <[email-masked]>
Date: Thu, 31 Aug 2000 14:20:08 +0300

> > > fixed (in fvwm I suppose) as soon as possible.

This was not really supposed to go to fvwm-workers (my 2 aliases are very
similar). The quoted problem is fixed by correcting a function definition.

Still it is possible to reproduce the described freeze (XGrab) by
executing the following commands in FvwmConsole (note an absence of "I"):

  AddToFunc TestFunc anyword1 anyword2
  TestFunc

Regards,
Mikhael.